<div class="app-max-width-wrapper min-table-width">
  <app-moderate-unapproved-users-table
  [unapprovedUsers]="unapprovedUsers$|ngrxPush"
  (deleteUserClicked)="deleteUnapprovedUser($event)">
  </app-moderate-unapproved-users-table>
  <app-moderate-approved-users-table
  [approvedUsers]="approvedUsers$|ngrxPush"
  [selectedUserId]="selectedUserId$|ngrxPush"
  (selectUserClicked)="selectApprovedUser($event)"
  (showUserDetailsClicked)="showApprovedUserProfile($event)"
  (activateUserClicked)="activateUser($event)"
  (deactivateUserClicked)="deactivateUser($event)"
  (setUserRolesClicked)="openSetUserRolesDialog($event)">
  </app-moderate-approved-users-table>
  <!-- TODO: activate when function is implemented in backend service -->
  <!-- <div
  *transloco="let t; read: 'moderate_users'"
  class="table-container user-button-container">
  <button
    mat-flat-button
    color="primary"
    class="round-button"
    (click)="openSendInvitationDialog()">
    <mat-icon>add</mat-icon>
    <span>{{t('send_invitation')}}</span>
  </button>
  </div> -->
</div>
